Add Impish Indri

Bug #1925484 reported by Iain Lane
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
distro-info-data (Ubuntu)
High
Iain Lane
Xenial
Undecided
Unassigned
Bionic
High
Iain Lane
Focal
High
Iain Lane
Groovy
High
Iain Lane
Hirsute
High
Iain Lane

Bug Description

[ Description ]

This is the codename for the release that will be 21.10

See the exception on https://wiki.ubuntu.com/StableReleaseUpdates#distro-info-data

[ Test Case ]

Verify that the following subcommands of `distro-info` print information about the new devel and current stable releases:

 * `--devel`
 * `--supported`
 * `--stable`

and try the same commands with these modifiers:

 * `--date=<1 day after release>` along with the above
 * `--fullname`
 * `--release`

For hirsute, we need to check that python-apt's aptsources module and software-properties still work correctly, because python-apt started using distro-info-data. Disable and enable pockets in software-properties and make sure you get hirsute sources.list entries, and not impish ones

Iain Lane (laney)
Changed in distro-info-data (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
Changed in distro-info-data (Ubuntu Focal):
assignee: nobody → Iain Lane (laney)
Changed in distro-info-data (Ubuntu Groovy):
assignee: nobody → Iain Lane (laney)
Changed in distro-info-data (Ubuntu Hirsute):
assignee: nobody → Iain Lane (laney)
Changed in distro-info-data (Ubuntu Bionic):
status: New → Triaged
Changed in distro-info-data (Ubuntu Focal):
status: New → Triaged
Changed in distro-info-data (Ubuntu Groovy):
status: New → Triaged
Changed in distro-info-data (Ubuntu Hirsute):
status: New → Triaged
Changed in distro-info-data (Ubuntu Bionic):
importance: Undecided → Critical
importance: Critical → High
Changed in distro-info-data (Ubuntu Focal):
importance: Undecided → High
Changed in distro-info-data (Ubuntu Groovy):
importance: Undecided → High
Changed in distro-info-data (Ubuntu Hirsute):
importance: Undecided → High
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Iain, or anyone else affected,

Accepted distro-info-data into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.44ubuntu1.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in distro-info-data (Ubuntu Groovy):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-groovy
Changed in distro-info-data (Ubuntu Hirsute):
status: Triaged → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Iain, or anyone else affected,

Accepted distro-info-data into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.43ubuntu1.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in distro-info-data (Ubuntu Focal):
status: Triaged → Fix Committed
tags: added: verification-needed-focal
Changed in distro-info-data (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed-bionic
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Iain, or anyone else affected,

Accepted distro-info-data into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.37ubuntu0.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Iain, or anyone else affected,

Accepted distro-info-data into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.44ubuntu1.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Dan Streetman (ddstreet) wrote :

i think this should be released yesterday, since distro-info --devel is now broken for all releases:

$ distro-info --date=2021-04-21 --devel
hirsute
$ distro-info --date=2021-04-22 --devel
ubuntu-distro-info: Distribution data outdated.
Please check for an update for distro-info-data. See /usr/share/doc/distro-info-data/README.Debian for details.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Iain, or anyone else affected,

Accepted distro-info-data into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.28ubuntu0.17 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in distro-info-data (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Revision history for this message
Julian Andres Klode (juliank) wrote :

Added additional verification steps for hirsute.

description: updated
Revision history for this message
Dan Streetman (ddstreet) wrote :

root@lp1925484-b:~# dpkg -l|grep distro-info-data
ii distro-info-data 0.37ubuntu0.10 all information about the distributions' releases (data files)
root@lp1925484-b:~# for p in devel supported stable; do echo "\$ distro-info --$p"; distro-info --$p; for m in date=2021-04-23 fullname release; do echo "\$ distro-info --$m --$p"; distro-info --$m --$p; done; done
$ distro-info --devel
impish
$ distro-info --date=2021-04-23 --devel
impish
$ distro-info --fullname --devel
Ubuntu 21.10 "Impish Indri"
$ distro-info --release --devel
21.10
$ distro-info --supported
bionic
focal
groovy
hirsute
impish
$ distro-info --date=2021-04-23 --supported
bionic
focal
groovy
hirsute
impish
$ distro-info --fullname --supported
Ubuntu 18.04 LTS "Bionic Beaver"
Ubuntu 20.04 LTS "Focal Fossa"
Ubuntu 20.10 "Groovy Gorilla"
Ubuntu 21.04 "Hirsute Hippo"
Ubuntu 21.10 "Impish Indri"
$ distro-info --release --supported
18.04 LTS
20.04 LTS
20.10
21.04
21.10
$ distro-info --stable
hirsute
$ distro-info --date=2021-04-23 --stable
hirsute
$ distro-info --fullname --stable
Ubuntu 21.04 "Hirsute Hippo"
$ distro-info --release --stable
21.04

tags: added: verification-done-bionic
removed: verification-needed-bionic
Revision history for this message
Dan Streetman (ddstreet) wrote :

root@lp1925484-f:~# dpkg -l|grep distro-info-data
ii distro-info-data 0.43ubuntu1.5 all information about the distributions' releases (data files)
root@lp1925484-f:~# for p in devel supported stable; do echo "\$ distro-info --$p"; distro-info --$p; for m in date=2021-04-23 fullname release; do echo "\$ distro-info --$m --$p"; distro-info --$m --$p; done; done
$ distro-info --devel
impish
$ distro-info --date=2021-04-23 --devel
impish
$ distro-info --fullname --devel
Ubuntu 21.10 "Impish Indri"
$ distro-info --release --devel
21.10
$ distro-info --supported
bionic
focal
groovy
hirsute
impish
$ distro-info --date=2021-04-23 --supported
bionic
focal
groovy
hirsute
impish
$ distro-info --fullname --supported
Ubuntu 18.04 LTS "Bionic Beaver"
Ubuntu 20.04 LTS "Focal Fossa"
Ubuntu 20.10 "Groovy Gorilla"
Ubuntu 21.04 "Hirsute Hippo"
Ubuntu 21.10 "Impish Indri"
$ distro-info --release --supported
18.04 LTS
20.04 LTS
20.10
21.04
21.10
$ distro-info --stable
hirsute
$ distro-info --date=2021-04-23 --stable
hirsute
$ distro-info --fullname --stable
Ubuntu 21.04 "Hirsute Hippo"
$ distro-info --release --stable
21.04

Revision history for this message
Dan Streetman (ddstreet) wrote :

root@lp1925484-g:~# dpkg -l |grep distro-info-data
ii distro-info-data 0.44ubuntu1.5 all information about the distributions' releases (data files)
root@lp1925484-g:~# for p in devel supported stable; do echo "\$ distro-info --$p"; distro-info --$p; for m in date=2021-04-23 fullname release; do echo "\$ distro-info --$m --$p"; distro-info --$m --$p; done; done
$ distro-info --devel
impish
$ distro-info --date=2021-04-23 --devel
impish
$ distro-info --fullname --devel
Ubuntu 21.10 "Impish Indri"
$ distro-info --release --devel
21.10
$ distro-info --supported
bionic
focal
groovy
hirsute
impish
$ distro-info --date=2021-04-23 --supported
bionic
focal
groovy
hirsute
impish
$ distro-info --fullname --supported
Ubuntu 18.04 LTS "Bionic Beaver"
Ubuntu 20.04 LTS "Focal Fossa"
Ubuntu 20.10 "Groovy Gorilla"
Ubuntu 21.04 "Hirsute Hippo"
Ubuntu 21.10 "Impish Indri"
$ distro-info --release --supported
18.04 LTS
20.04 LTS
20.10
21.04
21.10
$ distro-info --stable
hirsute
$ distro-info --date=2021-04-23 --stable
hirsute
$ distro-info --fullname --stable
Ubuntu 21.04 "Hirsute Hippo"
$ distro-info --release --stable
21.04

tags: added: verification-done-focal verification-done-groovy
removed: verification-needed-focal verification-needed-groovy
Revision history for this message
Dan Streetman (ddstreet) wrote :

root@lp1925484-x:~# dpkg -l|grep distro-info-data
ii distro-info-data 0.28ubuntu0.17 all information about the distributions' releases (data files)
root@lp1925484-x:~# for p in devel supported stable; do echo "\$ distro-info --$p"; distro-info --$p; for m in date=2021-04-23 fullname release; do echo "\$ distro-info --$m --$p"; distro-info --$m --$p; done; done
$ distro-info --devel
impish
$ distro-info --date=2021-04-23 --devel
impish
$ distro-info --fullname --devel
Ubuntu 21.10 "Impish Indri"
$ distro-info --release --devel
21.10
$ distro-info --supported
bionic
focal
groovy
hirsute
impish
$ distro-info --date=2021-04-23 --supported
bionic
focal
groovy
hirsute
impish
$ distro-info --fullname --supported
Ubuntu 18.04 LTS "Bionic Beaver"
Ubuntu 20.04 LTS "Focal Fossa"
Ubuntu 20.10 "Groovy Gorilla"
Ubuntu 21.04 "Hirsute Hippo"
Ubuntu 21.10 "Impish Indri"
$ distro-info --release --supported
18.04 LTS
20.04 LTS
20.10
21.04
21.10
$ distro-info --stable
hirsute
$ distro-info --date=2021-04-23 --stable
hirsute
$ distro-info --fullname --stable
Ubuntu 21.04 "Hirsute Hippo"
$ distro-info --release --stable
21.04

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Revision history for this message
Julian Andres Klode (juliank) wrote :
Download full text (3.2 KiB)

I verified software-properties-gtk works correctly on hirsute, and the same stuff ddstreet did:

jak@jak-t480s:/$ dpkg -l|grep distro-info-data
ii distro-info-data 0.46ubuntu2 all information about the distributions' releases (data files)
jak@jak-t480s:/$ for p in devel supported stable; do echo "\$ distro-info --$p"; distro-info --$p; for m in date=2021-04-23 fullname release; do echo "\$ distro-info --$m --$p"; distro-info --$m --$p; done; done
$ distro-info --devel
impish
$ distro-info --date=2021-04-23 --devel
impish
$ distro-info --fullname --devel
Ubuntu 21.10 "Impish Indri"
$ distro-info --release --devel
21.10
$ distro-info --supported
bionic
focal
groovy
hirsute
impish
$ distro-info --date=2021-04-23 --supported
bionic
focal
groovy
hirsute
impish
$ distro-info --fullname --supported
Ubuntu 18.04 LTS "Bionic Beaver"
Ubuntu 20.04 LTS "Focal Fossa"
Ubuntu 20.10 "Groovy Gorilla"
Ubuntu 21.04 "Hirsute Hippo"
Ubuntu 21.10 "Impish Indri"
$ distro-info --release --supported
18.04 LTS
20.04 LTS
20.10
21.04
21.10
$ distro-info --stable
hirsute
$ distro-info --date=2021-04-23 --stable
hirsute
$ distro-info --fu...

Read more...

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.46ubuntu2

---------------
distro-info-data (0.46ubuntu2) hirsute; urgency=medium

  * Add Ubuntu 21.10, Impish Indri (LP: #1925484)

 -- Iain Lane <email address hidden> Thu, 22 Apr 2021 13:10:40 +0100

Changed in distro-info-data (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for distro-info-data has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.44ubuntu1.5

---------------
distro-info-data (0.44ubuntu1.5) groovy; urgency=medium

  * Add Ubuntu 21.10, Impish Indri (LP: #1925484)

 -- Iain Lane <email address hidden> Thu, 22 Apr 2021 13:15:58 +0100

Changed in distro-info-data (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.43ubuntu1.5

---------------
distro-info-data (0.43ubuntu1.5) focal; urgency=medium

  * Add Ubuntu 21.10, Impish Indri (LP: #1925484)

 -- Iain Lane <email address hidden> Thu, 22 Apr 2021 13:15:23 +0100

Changed in distro-info-data (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.37ubuntu0.10

---------------
distro-info-data (0.37ubuntu0.10) bionic; urgency=medium

  * Add Ubuntu 21.10, Impish Indri (LP: #1925484)

 -- Iain Lane <email address hidden> Thu, 22 Apr 2021 13:14:53 +0100

Changed in distro-info-data (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.28ubuntu0.17

---------------
distro-info-data (0.28ubuntu0.17) xenial; urgency=medium

  * Add Ubuntu 21.10, Impish Indri (LP: #1925484)

 -- Łukasz 'sil2100' Zemczak <email address hidden> Thu, 22 Apr 2021 15:06:58 +0200

Changed in distro-info-data (Ubuntu Xenial):
status: Fix Committed → Fix Released
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (distro-info-data/0.44ubuntu1.5)

All autopkgtests for the newly accepted distro-info-data (0.44ubuntu1.5) for groovy have finished running.
The following regressions have been reported in tests triggered by the package:

update-manager/1:20.10.5 (arm64, amd64, s390x, ppc64el, armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/groovy/update_excuses.html#distro-info-data

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (distro-info-data/0.43ubuntu1.5)

All autopkgtests for the newly accepted distro-info-data (0.43ubuntu1.5) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

update-manager/1:20.04.10.6 (ppc64el, arm64, amd64, s390x, armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#distro-info-data

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers